name: On Push to Main

on:
  push:
    branches: [main]

jobs:
  test:
    uses: ./.github/workflows/test.yml

  publish:
    needs: test
    uses: ./.github/workflows/publish-image.yml
    with:
      build_mode: development
    secrets: inherit

  deploy-dev:
    needs: publish
    uses: ./.github/workflows/deploy-dev.yml
    secrets: inherit
